// ============================================
// Core Delphi to Script mapping functionality.
// ============================================

// You can add some imported units or other objects to the
// script by using AddUnit() and AddObject() script control
// methods in Delphi (see this demo Delphi source code). This
// will lead to adding all unit-level names (classes, records,
// enums, enumerators, event types, global variables, global
// procedures) to the root script namespace. You can use such
// names in several reasonable situations.

procedure Main;
var
  app, dir, exists;
  cls, pntcls;
begin
    // Global variables:

    app := Application;
    MessageList.Lines.Add('Application name is: ' + app.Title);

    // Global procedures:

    dir := 'C:\Windows';
    if DirectoryExists(dir) then
        exists := ' exists'
    else
        exists := ' does not exist';

    MessageList.Lines.Add('Directory ' + dir + exists);

    // Classes:

    cls    := TForm;
    pntcls := cls.ClassParent;

    MessageList.Lines.Add('Parent class for ' + cls.ClassName + ' is ' + pntcls.ClassName);
end;

